<?php

namespace Database\Seeders;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use DB;

class DatabaseSeeder extends Seeder
{
    
    public function run()
    {
        
            DB::table('users') -> insert([
                'profile_id'    => 'AAA2209CS',
                'refercode_id'  => 'AAA2209CS',
                'fullname' => 'Control Shack',
                'email' => 'controlshack@gmail.com',
                'mobileno' => '9846115721',
                'whatappno' => '6282851326',
                'roles' => 'admin',
                'customer' => '1',
                'seller' => '1',
                'service' => '1',
                'admin' => '1',
                'office' => '1',
                'employee' => '1',
                'password' => '$2y$10$Y6kLNJUPve7JBHMyGFblMur5rg7V96N0eIKXsRRVsJAJZHnKZqY6W',
                'created_at' => '2022-09-03 22:25:44',
                'updated_at' => '2022-09-03 22:25:44',
                
                ]);

                DB::table('shops') -> insert([
                [
                    'shopname'    => 'Textiles Shop',
                    'shopicon'  => 'fa fa-shirt',
                    'shopimage' => 'https://source.unsplash.com/600x900/?fabric,garments',
                    'shopdescription' => 'floors mens-ware, womens-ware, Kids-ware, Home-ware, Industrial-wares',
                    'shopslug' => 'purchase textails',
                    'shopadvtimg' => '',
                    'shopadvttext' => 'KK Band Kunnamulam',
                    'shopsortid' => '1',
                    'shop_is_active' => '1',
                    'created_at' => '2022-09-03 22:25:44',
                    'updated_at' => '2022-09-03 22:25:44'
                ],[                     
                        'shopname'    => 'Electrical Shop',
                        'shopicon'  => 'fa fa-bolt',
                        'shopimage' => 'https://source.unsplash.com/600x900/?power,electricity',
                        'shopdescription' => 'Electricial item and accesscoryes',
                        'shopslug' => 'electrical',
                        'shopadvtimg' => 'text',
                        'shopadvttext' => 'text',
                        'shopsortid' => '6',
                        'shop_is_active' => '1',
                        'created_at' => '2022-09-03 22:25:44',
                        'updated_at' => '2022-09-03 22:25:44' 
                ], 
                [                     
                    'shopname'    => 'Grocery Shop',
                    'shopicon'  => 'fa fa-bolt',
                    'shopimage' => 'https://source.unsplash.com/600x900/?grocery store,vegetable',
                    'shopdescription' => 'Electricial item and accesscoryes',
                    'shopslug' => 'electrical',
                    'shopadvtimg' => 'text',
                    'shopadvttext' => 'text',
                    'shopsortid' => '3',
                    'shop_is_active' => '1',
                    'created_at' => '2022-09-03 22:25:44',
                    'updated_at' => '2022-09-03 22:25:44' 
                ],
                [                     
                    'shopname'    => 'Stationary Shop',
                    'shopicon'  => 'fa fa-bolt',
                    'shopimage' => 'https://source.unsplash.com/600x900/?stationary,gifts',
                    'shopdescription' => 'Books, pen, gifts, and many more',
                    'shopslug' => 'electrical',
                    'shopadvtimg' => 'text',
                    'shopadvttext' => 'text',
                    'shopsortid' => '3',
                    'shop_is_active' => '1',
                    'created_at' => '2022-09-03 22:25:44',
                    'updated_at' => '2022-09-03 22:25:44' 
                ],
                [                     
                    'shopname'    => 'Ayurveda Shop',
                    'shopicon'  => 'fa fa-bolt',
                    'shopimage' => 'https://source.unsplash.com/600x900/?Ayurveda, Health, Wellness',
                    'shopdescription' => 'alternative medicine system with historical roots in the Indian subcontinent.',
                    'shopslug' => 'electrical',
                    'shopadvtimg' => 'text',
                    'shopadvttext' => 'text',
                    'shopsortid' => '5',
                    'shop_is_active' => '1',
                    'created_at' => '2022-09-03 22:25:44',
                    'updated_at' => '2022-09-03 22:25:44' 
                ],
                [                     
                    'shopname'    => 'Agriculture Shop',
                    'shopicon'  => 'fa fa-bolt',
                    'shopimage' => 'https://source.unsplash.com/600x900/? agriculture,garden',
                    'shopdescription' => 'Fertilizers, Seed, Plant, garden',
                    'shopslug' => 'electrical',
                    'shopadvtimg' => 'text',
                    'shopadvttext' => 'text',
                    'shopsortid' => '4',
                    'shop_is_active' => '1',
                    'created_at' => '2022-09-03 22:25:44',
                    'updated_at' => '2022-09-03 22:25:44' 
                ],    

                    ]);
       
    


       // composer dump:autoload
       //php artisan db:seed
       //php artisan migrate:refresh --seed
    }
}
