<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use App\Models\user;
use App\Http\Controllers\date;

use Hash;
use Session;

class CustomerLoginController extends Controller
{
 
 /*    ---------------------------------calling page for login and regestration  links-------------------------- */
    //view of customer login under auth folder and customer regestration
       
    Public function customerLogin(){
           return view('c-auth.login');
        }   
        Public function customerRegistration(){
        return view('c-auth.registration');
        }


 /*    ---------------------------------Customer Regestration  button event-------------------------- */
        // Customer Regestraion Logic
        Public function registerCustomer(Request $request){
    //   echo 'value posted testing';  
         $request-> validate([
               'fullname'=> 'required',
               'email'=> 'required|email|unique:users',
               'password'=> 'required|min:5|max:15',
               'mobileno'=> 'required|digits:10|numeric|unique:users'
         ]);

         /* ------- profile id creation code go here----------- */
               $profiledata    = User::all()->last()->profile_id; 
               $Stringprefix = substr($profiledata, 0, 3);
               $Stringprefix++;
               $stringmiddle = strval(date("ym"));

               $nameString  = $request->fullname; 
             //  $nameString  = "Prasanth M Senan";
               $nameString  = substr($nameString, 0, 2);
               $stringsufix = strtoupper($nameString);
               $ProfileID  = $Stringprefix. $stringmiddle. $stringsufix;

         /* ------- Profile Id Matching also required ----------- */

         // required to check other roles at end of save funcation not required here
         // Must add user roles as customer and cutomer = true

         $user = new User();
         $user->refercode_id = "COM0922CS";   // if ref code not there use Com
         $user->customer = "1"; 
         $user->profile_id = $ProfileID;     
         $user->roles = "Customer";      
         $user->mobileno = $request->mobileno;
         $user->fullname = $request->fullname;
         $user->email = $request->email;
         $user->password = hash::make($request->password);
         $res = $user->save();
         echo $res;
         if ($res){
            return back()->with ('Success','You are registared as a customer - Login ');
            
         }else{
            return back()->with ('Fail','Something wrong ');
         }
    }


     /*    --------------------------------- Customer Login and redirect to home -------------------------- */
    // login logic for matching user email and password

    Public function LoginCustomer(Request $request){
         // echo 'login value posted testing'; 
         $request-> validate([
            'email'=> 'required',
            'password'=> 'required',
         ]); 
         $user =User::where('email','=', $request ->email)->first();
          if ($user){
            if(Hash::Check($request->password,$user->password)) {
             $request->session()->put('loginId', $user->id);
            //  return view('customer-profile', ['article' => (Session::get ('loginId'))]);
            
            // Before redirecting login time stamp
            $user->touch();       
           
             return redirect('customer-profile');
            }else{
                return back()->with('Fail', 'This password is not correct');   
            }
          }else{
            return back()->with('Fail', 'This Email is not Regesterd');
          }

    }


 /*    ---------------------------------calling dashboard -------------------------- */
    // calling funcation go to customer dashboard - it only if loggedin - otherwise protected middleware 
    Public function customerDashboard(){
        $data = array();
        if (Session::has ('loginId')){
            $data =User::where('id','=', (Session::get ('loginId')))->first(); 
            
            
            return view('customer-profile', compact('data')); 
        } 
          // not possible becouse of middle ware protection
         // return view('customer-profile', ['ID' => 'Guest']);
     } 

    //--------------------- Log out funcation and redirect to home----------
     Public function customerLogout(){
        if (Session::has ('loginId')){
            Session::pull ('loginId');  
            return redirect('/') ;
        }    
        return redirect('/') ;
     } 
     //--------------------- Log out funcation and redirect to home---------- 
    
     Public function TestCodes(){
         
         $profiledata    = User::all()->last()->profile_id; 

         $profiledata    = User::all()->last()->partner; 



         //$IdArray    = DB::table('users')->select('fullname', 'email as user_email')->last()->id;
        
         $profiledata    = User::all()->last()->profile_id; 
         $Stringprefix = substr($profiledata, 0, 3);
         $Stringprefix++;
         $stringmiddle = strval(date("ym"));

         /* $nameString  = $request->fullname; */
            $nameString  = "Prasanth M Senan";
            $nameString  = substr($nameString, 0, 2);
            $stringsufix = strtoupper($nameString);
            $ProfileID  = $Stringprefix. $stringmiddle. $stringsufix; 
               
     
     $ID =  $ProfileID;   // single data transfer
      //$Greetingname = $IdArray->fullname; 
      // data array transfer
     // $data = array();
     // $data = [                  
     //    "name"=>"John Doe",
     //    "age" => "23"
     //];
     
  

     return view('test', compact('ID'));  // sending one paramer  dcb and $ID to recive
      //return view('test', ["data"=>$data]);  // sending multiple data with array
      //return view('test', compact('data')); 
      //return view('test');
      //return view('home', compact('data', 'greet'));   //two set of data to view
     
   }   
     

}