<?php

namespace App\Http\Controllers;
use App\Models\Shop;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class shopadminController extends Controller
{
    
/*----- Funcation to call all shop view and retuning to all-view shop  page inside admin -------*/
    
    public function index()  
    {
      /* $shops = Shop::all(); */
      $shops = Shop::paginate(5);
      return view ('admin.index')->with('shops', $shops);

      
    }

   /*----- Funcation to call all shop create view and retuning to create-shop  page inside admin -------*/

    public function create()
    {
        return view('admin.create');
    }

   
    public function store(Request $request)
    {
        $input = $request->all();
        Shop::create($input);
        return redirect('admin')->with('flash_message', 'Shop data Addedd!');
        
    }

  
    public function show($id)
    {
        $shop = shop::find($id);
        return view('admin.show')->with('shops', $shop);
       
    }

   
    public function edit($id)
    {
        $shop= shop::find($id);
        return view('admin.edit')->with('shops', $shop);

    }

  
    public function update(Request $request, $id)
    {
        $shop = shop::find($id);
        $input = $request->all();
        $shop->update($input);
        return redirect('admin')->with('flash_message', 'Shop Data Updated!'); 

    }

    public function destroy($id) 
    {  
        Shop::destroy($id);
        return redirect('admin')->with('flash_message', 'one shop deleted!');  
        
    }
 




}
