<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('shops', function (Blueprint $table) {
            $table->id();
            $table->string('shopname',20);
            $table->string('shopicon');
            $table->string('shopimage');
            $table->string('shopdescription');
            $table->string('shopslug')->nullable();
            $table->string('shopadvtimg')->nullable();
            $table->string('shopadvttext')->nullable();
            $table->tinyInteger('shopsortid');
            $table->boolean('shop_is_active')->default(FALSE);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('_shops');
    }
};
