<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\CustomerLoginController;
use App\Http\Controllers\PartnerLoginController;
use App\Http\Controllers\ShoplistingController;
use App\Http\Controllers\AdminController;
use App\Http\Controllers\shopadminController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
*/



Route::get('/welcome', function () {
    return view('/welcome');
}); 

Route::get('/', function () {
    return view('/');
}); 

/* ==================Composer Data to all pages ==================================== */
 /*    view:composer(['*'], function () {
    
        $data = "hi greeting from web routes";
        $view -> with ('GreetngText', $data);
        }); */



/* =================CustomerLoginController Routs below=============================== */

Route::get('/test', [CustomerLoginController::class, 'TestCodes']);  // code test page

//view Route for login and regestration

Route::get('/customer-login', [CustomerLoginController::class, 'customerLogin'])->middleware('allreadyLoggedIn');
Route::get('/customer-registration', [CustomerLoginController::class, 'customerRegistration'])->middleware('allreadyLoggedIn');

// Post route for login and regestraton name used for blade page - middle loginCustomer for controller
Route::post('/register-customer', [CustomerLoginController::class, 'registerCustomer'])->name ('register-customer') ;
Route::post('/Login-customer', [CustomerLoginController::class, 'LoginCustomer'])->name ('Login-customer') ;

// route for dashboard view with middle ware to forward to login middle ware name in kernel and logic in middleware
Route::get('/customer-profile', [CustomerLoginController::class, 'customerDashboard'])->middleware('isCustlogedin');
Route::get('/customer-logout', [CustomerLoginController::class, 'customerLogout']);
// Route for passing  paramter from dash bord to home page
//Route::get('/{id}', [CustomerLoginController::class, 'getUserDetail'])->name('id.detail');


/* ==================PartnerLoginController Routs below==================================== */
   Route::get('/partner-dashboard', function () {  
    return view('partner-dashboard');
    });
Route::get('/partner-dashboard', [PartnerLoginController::class, 'partnerDashboard'])/* ->middleware('isCustlogedin') */;


/* ===================ShoplistingController Routs below==================================== */

// Route::get('home', 'ShoplistingController@Shoplistview');  // short form routing
Route::get('/', [ShoplistingController::class, 'Shoplistview'])->name ('home');


/* ===================AdminController Routs below==================================== */

Route::get('admin-board', [AdminController::class, 'AdminDashboad']);

/* ===================shopadminController  Crud operations==================================== */

Route::resource("/admin", shopadminController::class);


